body {
    background-color: #ffffff;
    font-family: Arial;
}

header {
    display: flex;
    width: 100%;
    color: #ffffff;
    background-color: #000000;
    text-align: center;
    top: 0px;
    flex-direction: row;
    justify-content: space-between;
    position: sticky;
}

.navigation li {
    display: inline-block;
}

    .navigation li a {
        text-decoration: none;
        padding: 10px;
    }

.nav {
    display: flex;
    position: fixed;
    margin-top: 40px;
}

    .nav li {
        list-style-type: none;
    }

h1 {
    text-align: center;
    color: #14213d;
    margin-top: 100px;
    font-size: 25px;
}

.line {
    background-color: #e5e5e5;
    height: 2px;
    width: 50%;
    min-width: 500px;
}

.element-3-button {
    margin-top: 15px;
}

nav .start-nav {
    list-style-type: none;
    text-align: center;
    margin: 0;
    padding: 0;
}

    nav .start-nav li {
        display: inline-block;
        text-align: center;
        padding: 20px;
    }

        nav .start-nav li a {
            display: flex;
            color: #000000;
            font-size: 20px;
            font-weight: 600;
            text-decoration: none;
            align-items: center;
            flex-direction: column;
            justify-content: space-around;
            width: 250px;
            height: 250px;
            border: 1px solid #fca311;
            border-radius: 5%;
        }

a:not(.active) {
    color: #ffffff;
}

a:hover {
    background-color: #fca311;
}

a.active {
    color: #fca311;
}

nav .start-nav li button {
    padding: 5px;
    margin-top: 10px;
    width: 100%;
    border: none;
    background-color: #e5e5e5;
    border-radius: 5px;
    font-weight: 600;
}

.page-content {
    margin-top: 40px;
    margin-bottom: 50px;
    display: flex;
    align-items: center;
    flex-direction: column;
    justify-content: center;
}

.table-form {
    display: flex;
    align-items: center;
    flex-direction: column;
    justify-content: center;
}

#go-up-button {
    position: sticky;
    bottom: 120px;
    right: 60px;
    display: none;
    align-self: flex-end;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}

.visible {
    display: block;
}

table,
th,
td {
    border: 1px solid #000000;
    padding: 10px;
    margin-top: 20px;
}

@media only screen and (max-width: 600px) {
    table {
        width: 90%;
        min-width: 500px;
    }
}

.demo {
    color: mediumvioletred;
}

table {
    display: block;
    border-collapse: collapse;
    width: 50%;
    min-width: 500px;
    font-size: 14px;
    text-align: center;
    max-height: 300px;
    overflow-x: hidden;
    overflow-y: auto;
    scrollbar-width: thin;
    scrollbar-color: #000000 #ffffff;
    scroll-padding: 0;
    padding: 0;
}

th {
    height: 40px;
    width: 20%;
    background-color: #e5e5e5;
    color: #14213d;
}

td {
    height: 20px;
    max-width: 150px;
}

.description {
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
}

    .description:hover {
        white-space: normal;
    }

.page-content button {
    background-color: #fca311;
    color: #ffffff;
    padding: 14px 20px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
}

    .page-content button:hover {
        background-color: #14213d;
    }

.form {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    margin-bottom: 100px;
}

form {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 50%;
}

fieldset {
    display: flex;
    justify-content: center;
    flex-direction: column;
    width: 100%;
    border: 2px solid #e5e5e5;
    border-radius: 5px;
    padding: 20px;
}

input[type="text"],
input[type="number"],
input[type="date"] {
    width: 100%;
    padding: 12px 20px;
    margin: 8px 0;
    display: inline-block;
    border: 2px solid #e5e5e5;
    border-radius: 5px;
    box-sizing: border-box;
}

input[type="datetime-local"] {
    width: 99%;
    padding: 12px 20px;
    margin: 8px 0;
    display: inline-block;
    border: 2px solid #e5e5e5;
    border-radius: 5px;
    box-sizing: border-box;
}

.time-box {
    display: flex;
    flex-direction: column;
    justify-content: left;
    align-items: start;
    width: 100%;
}

.time-form {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    width: 100%;
}

.submit-button {
    width: 100%;
    background-color: #fca311;
    color: #ffffff;
    padding: 10px 20px;
    margin: 8px 0;
    border: none;
    border-radius: 5px;
    cursor: pointer;
}

    .submit-button:hover {
        background-color: #14213d;
    }

.search-form {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    width: 100%;
    margin-bottom: 10px;
}

.show-form-button {
    width: 30%;
    margin: 40px;
}

.search-restore-form {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    width: 70%;
    margin-top: 30px;
    margin-bottom: 20px;
}

    .search-restore-form button {
        width: 100%;
        padding: 8px 10px;
    }

.filter-form {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-direction: column;
    width: 70%;
    margin-top: 30px;
    margin-bottom: 20px;
}

    .filter-form div {
        display: flex;
        justify-content: space-between;
        align-items: center;
        flex-direction: row;
        width: 50%;
        margin-top: 10px;
        margin-bottom: 20px;
    }

    .filter-form select {
        width: 20%;
        padding: 8px 10px;
        border: 2px solid #e5e5e5;
        border-radius: 5px;
        height: 45px;
    }

    .filter-form div input {
        width: 50%;
        padding: 8px 10px;
    }

    .filter-form div button {
        width: 25%;
        padding: 8px 10px;
    }


.pagination {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: row;
    margin-top: 20px;
    width: 35%;
}

    .pagination button {
        min-width: max-content;
        margin-left: 5px;
        margin-right: 5px;
        padding: 3px 10px;
        min-width: 85px;
        max-width: 300px;
        background-color: #14213d;
        color: #e5e5e5;
        font-weight: 400;
        height: 30px;
    }

/*
footer {
    display: inline-block;
    width: 100%;
    color: #ffffff;
    background-color: #000000;
    text-align: center;
    position: fixed;
    bottom: 0px;
    padding: 1px;
}
*/
